import { TransactionBuilder } from "@orca-so/common-sdk";
import { WhirlpoolContext } from "..";
export declare function convertListToMap<T>(fetchedData: T[], addresses: string[]): Record<string, T>;
export declare function checkMergedTransactionSizeIsValid(ctx: WhirlpoolContext, builders: TransactionBuilder[], latestBlockhash: Readonly<{
    blockhash: string;
    lastValidBlockHeight: number;
}>): Promise<boolean>;
